// Include Gulp
var gulp = require('gulp');
 // Include plugins
var plugins = require("gulp-load-plugins")({
    pattern: ['gulp-*', 'gulp.*', 'main-bower-files'],
    replaceString: /\bgulp[\-.]/
});
// Define the source folder
var src = '_assets/';
// Define default destination folder
var dest = 'webroot/';

gulp.task('js', function() {
    return gulp.src(src + 'js/buzz_diary_accounts.js')
        .pipe(plugins.uglify())
        .pipe(plugins.rename({suffix: '.min'}))
        .pipe(gulp.dest(dest  + 'js'));
});

gulp.task('css', function() {
    return plugins.rubySass(src + 'scss/buzz_diary_accounts.scss')
        .pipe(plugins.minifyCss())
        .pipe(plugins.rename({suffix: '.min'}))
        .pipe(gulp.dest(dest  + 'css'));
});

gulp.task('watch', function () {
	gulp.watch(src + 'js/*.js', ['js']);
	gulp.watch(src + 'scss/*.scss', ['css']);
});

gulp.task('default', ['js', 'css', 'watch']);
